const axios = require('axios');const OutboxApiFp = require('@alohi/faxplus-api').OutboxApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function bulkDeleteOutboxFaxes() { const reqParams = { "userId": "self", "ids": "a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc" }; const req = await OutboxApiFp(config).bulkDeleteOutboxFaxes(reqParams); const resp = await req(axios);}bulkDeleteOutboxFaxes();
from faxplus import ApiClient, OutboxApifrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = OutboxApi(api_client)resp = api.bulk_delete_outbox_faxes( user_id="self", ids="a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc",)
# You can also use wgetcurl -X DELETE "https://restapi.fax.plus/v3/accounts/self/outbox?ids=a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc" \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: YOUR_CLIENT_ID'
Bulk delete (cancel) multiple outbox fax records. Maximum 10 outbox fax IDs per request. Duplicate IDs are automatically ignored. (Permitted scopes: fax:all:edit, fax:fax:edit)
DELETE
/
accounts
/
{user_id}
/
outbox
const axios = require('axios');const OutboxApiFp = require('@alohi/faxplus-api').OutboxApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function bulkDeleteOutboxFaxes() { const reqParams = { "userId": "self", "ids": "a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc" }; const req = await OutboxApiFp(config).bulkDeleteOutboxFaxes(reqParams); const resp = await req(axios);}bulkDeleteOutboxFaxes();
from faxplus import ApiClient, OutboxApifrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = OutboxApi(api_client)resp = api.bulk_delete_outbox_faxes( user_id="self", ids="a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc",)
# You can also use wgetcurl -X DELETE "https://restapi.fax.plus/v3/accounts/self/outbox?ids=a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc" \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: YOUR_CLIENT_ID'
const axios = require('axios');const OutboxApiFp = require('@alohi/faxplus-api').OutboxApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function bulkDeleteOutboxFaxes() { const reqParams = { "userId": "self", "ids": "a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc" }; const req = await OutboxApiFp(config).bulkDeleteOutboxFaxes(reqParams); const resp = await req(axios);}bulkDeleteOutboxFaxes();
from faxplus import ApiClient, OutboxApifrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = OutboxApi(api_client)resp = api.bulk_delete_outbox_faxes( user_id="self", ids="a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc",)
# You can also use wgetcurl -X DELETE "https://restapi.fax.plus/v3/accounts/self/outbox?ids=a1b2c3d4e5f6789012345678901234ab,b2c3d4e5f6789012345678901234abc" \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: YOUR_CLIENT_ID'